Subject: [6tisch] On 2*ETX in Minimal

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 3 Jul 2015 15:33:30 +0000

Dear all

People are complaining that the MUST 2*ETX is too strong. I agree with that. Minimal 10 has

According to this specification, Sp SHOULD be set to 2*ETX to favour shorter routes.

The SHOULD opens the way to 1*ETX and that would be wrong, because implementations that do 1* and 2* ETX would not coexist well.

What MUST be ensured is that the normalization function in OF0 is followed properly to enable implementations that do not compute a step of rank in a same fashion to coexist meaningfully. This is discussed in OF0 as follows:

   The Rank of a node is obtained by adding a strictly positive,

   indirectly normalized scalar, rank_increase (Section 6.1<https://tools.ietf.org/html/rfc6552#section-6.1>), to the

   Rank of a selected preferred parent.  The rank_increase is based on a

   step_of_rank (Section 6.1<https://tools.ietf.org/html/rfc6552#section-6.1>) normalized scalar that can vary with a

   ratio from 1 (excellent) to 9 (worst acceptable) to represent the

   link properties.  The step_of_rank can be multiplied by a

   configurable factor called rank_factor (Section 6.2<https://tools.ietf.org/html/rfc6552#section-6.2>) that amplifies

   the rank_increase to reflect the relative preferences between

   different link types that would be used in the same RPL Instance.

RPL OF0 defines in section 6.3 of RFC 6552:

   DEFAULT_STEP_OF_RANK:  3
   MINIMUM_STEP_OF_RANK:  1
   MAXIMUM_STEP_OF_RANK:  9

RPL OF0 says in section 4.1

   An implementation MUST maintain the stretched step_of_rank between

   the fixed constants MINIMUM_STEP_OF_RANK and MAXIMUM_STEP_OF_RANK

   (Section 6.3<https://tools.ietf.org/html/rfc6552#section-6.3>).  This range allows the reflection of a large variation

   of link quality.

I'd suggest that we replace:

According to this specification, Sp SHOULD be set to 2*ETX to favour shorter routes.

By:

An implementation MUST follow OF0's normalization guidance as discussed in section 1 and 4.1 of [RFC 6552], maintaining Sp between MINIMUM_STEP_OF_RANK of 1 to indicate a great quality and MAXIMUM_STEP_OF_RANK of 9 to indicate a really poor quality, with DEFAULT_STEP_OF_RANK indicating a normal, average quality. One RECOMMENDED way to achieve this in an interoperable fashion is to set Sp to 2*ETX.

What do others think?

Pascal